### Method

# Gsk RoundedRect normalize

#### Declaration [src]

    GskRoundedRect*
    gsk_rounded_rect_normalize (
      GskRoundedRect* self
    )

#### Description [src]

Normalizes a rounded rectangle.

This function will ensure that the bounds of the rounded rectangle are normalized and ensure that the corner values are positive and the corners do not overlap.

#### Return value

Type: `GskRoundedRect`

The normalized rounded rectangle.

The returned data is owned by the instance.